package org.springblade.imports.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.imports.entity.VRecentVippoolCosts;
import org.springblade.imports.mapper.VRecentVippoolCostsMapper;
import org.springblade.imports.service.IVRecentVippoolCostsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 会员池最近消耗统计 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2023-03-15
 */
@Service
@DS("oracle143")
public class VRecentVippoolCostsServiceImpl extends ServiceImpl<VRecentVippoolCostsMapper, VRecentVippoolCosts> implements IVRecentVippoolCostsService {

    @Autowired
    private VRecentVippoolCostsMapper recentVippoolCostsMapper;


    @Override
    public List<String> supplierList() {
       return recentVippoolCostsMapper.supplierList();
    }

    @Override
    public List<String> ptypeList(String supplier) {
        return recentVippoolCostsMapper.ptypeList(supplier);
    }

    @Override
    public List<String> qytypeList(String supplier,String ptype) {
        return recentVippoolCostsMapper.qytypeList(supplier,ptype);
    }

    @Override
    public List<String> cpIdList(String supplier,String ptype,String qytype) {
        return recentVippoolCostsMapper.cpIdList(supplier,ptype,qytype);
    }

    @Override
    public List<String> contractIdList(String supplier) {
        return recentVippoolCostsMapper.contractIdList(supplier);
    }
}
